/**
 * @Author: Kane Wang <wangkane@qq.com>
 * @Date: 2025-12-26 17:25:13
 * @LastEditors: Kane Wang
 * @LastModified: 2025-12-26 21:23:04
 * @FilePath: src/main/java/com/cpic/xim/web/controllers/regulatory/AddNewRegulatoryRequest.java
 * @Description:
 *
 *               Copyright (c) 2025 by Kane All rights reserved
 */
package com.cpic.xim.web.controllers.regulatory;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.cpic.xim.utils.files.UploadedFile;
import java.util.Vector;

public class AddNewRegulatoryRequest 
{
    
    public AddNewRegulatoryRequest()
    {
        this.regulatoryName  = "";
        this.departmentName  = "";
        this.releaseYear     = "";
        this.comment         = "";
        this.regulatoryFiles = new Vector<UploadedFile>();
    }

    public AddNewRegulatoryRequest(
            String regulatoryName,
            String departmentName,
            String releaseYear,
            String comment,
            Vector<UploadedFile> regulatoryFiles
    )
    {
        this.regulatoryName  = regulatoryName;
        this.departmentName  = departmentName;
        this.releaseYear     = releaseYear;
        this.comment         = comment;
        this.regulatoryFiles = regulatoryFiles;
    }

    public String getRegulatoryName()
    {
        return regulatoryName;
    }

    public void setRegulatoryName( String regulatoryName )
    {
        this.regulatoryName = regulatoryName;
    }

    public String getDepartmentName()
    {
        return departmentName;
    }

    public void setDepartmentName( String departmentName )
    {
        this.departmentName = departmentName;
    }

    public String getReleaseYear()
    {
        return releaseYear;
    }

    public void setReleaseYear( String releaseYear )
    {
        this.releaseYear = releaseYear;
    }

    public String getComment()
    {
        return comment;
    }

    public void setComment( String comment )
    {
        this.comment = comment;
    }

    public Vector<UploadedFile> getRegulatoryFiles()
    {
        return regulatoryFiles;
    }

    public void setRegulatoryFiles( Vector<UploadedFile> regulatoryFiles )
    {
        this.regulatoryFiles = regulatoryFiles;
    }

    @JsonProperty("regulatory_name")
    private String regulatoryName;

    @JsonProperty("department_name")
    private String departmentName;

    @JsonProperty("release_year")
    private String releaseYear;

    @JsonProperty("comment")
    private String comment;

    @JsonProperty("regulatory_files")
    private Vector<UploadedFile> regulatoryFiles;
}
